﻿$ErrorActionPreference = 'Stop'; # stop on all errors
$packageName = 'bit'
$packageArgs = @{
  packageName = $packageName
  softwareName = 'Bit*'
  fileType = 'msi'
  silentArgs = "/qn /norestart /l*v `"$env:TEMP\chocolatey\$($packageName)\$($packageName).MsiInstall.log`""
  validExitCodes = @(0, 3010, 1641)
  checksumType = 'sha256'

  url = 'https://bitsrc.jfrog.io/bitsrc/bit-msi/stable/bit/0.6.4/bit-0.6.4-unsigned.msi'
  checksum = '286CC808DE1437190A7D5C56868AF80BB0C3064E26FA2CD3BAAB1B7C26754B61'
}

Install-ChocolateyPackage @packageArgs

# Update Bit package.json file so it can tell that it was installed via Chocolatey.
if (Test-Path "${env:ProgramFiles(x86)}\Bit\package.json") {
  $path = "${env:ProgramFiles(x86)}\Bit\package.json"
} else {
  $path = "$env:ProgramFiles\Bit\package.json"
}
$script = @"
  (Get-Content -Path '$path') ``
    -replace 'installationMethod":.+', 'installationMethod": "choco"' ``
    | Set-Content '$path'
"@
Start-ChocolateyProcessAsAdmin -Statements $script